Wiki

Clone wiki

compatibility / beautiful_soup

Beautiful Soup

Beautiful Soup 3 is compatible with PyPy. All of its unittests pass, except for two that depend on cjkcodecs.

BeautifulSoup 4 (bs4) works with PyPy, but can't use the lxml(incompatible) parser, and will fall back to another one, which can cause subtle trouble.


URL:http://www.crummy.com/software/BeautifulSoup/
Category:Parsers and parser generators
Compatible:Compatible

Updated